Package org.springframework.web.server

# Interface WebFilterChain

All Known Implementing Classes:
  `DefaultWebFilterChain`

public interface WebFilterChain
Contract to allow a `WebFilter` to delegate to the next in the chain.

Since:
  5.0
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(ServerWebExchange exchange)`
Delegate to the next `WebFilter` in the chain.

## Method Details

### filter

reactor.core.publisher.Mono<Void> filter(ServerWebExchange exchange)
Delegate to the next `WebFilter` in the chain.

Parameters:
  `exchange` - the current server exchange
Returns:
  `Mono<Void>` to indicate when request handling is complete